import { Entity, ManyToOne, PrimaryColumn } from 'typeorm';
import { Address } from './Address';

@Entity()
export abstract class IAddressUser {
    @PrimaryColumn()
    id: number;

    @ManyToOne(() => Address, address => address.addressUsers, { nullable: true })
    address?: Address
}
